<template>
    <details-rejection v-if="operation.isRejection" :operation="operation"></details-rejection>
    <details-operation v-else :operation="operation"></details-operation>
</template>

<script>
  import detailsOperation from './Details/Operation.vue';
  import detailsRejection from './Details/Rejection.vue';
  export default {
    name: 'Details',
    components: {
      detailsRejection,
      detailsOperation
    },
    props: {
      /**
       * @var {INSTALLMENT_OPERATIONS} operation
       */
      operation: {
        required: true,
        type: Object
      }
    },

   /* watch: {
      'operation.expand' (state) {
        if (state)  {
          this.getInfo();
        }
      }
    },*/

    data () {
      return {
        info: {},
        loading: false,
        error: false,
      }
    },


   /* methods: {
      getInfo () {
        if (Object.keys(this.info).length === 0) {
          this.loading = true;
          this.error = false;
          this.$store.dispatch('GET_INSTALLMENT_OPERATION_INFO', this.operation).then(({data}) => {
            this.info = data;
          }).catch((e) => {
            this.error = true;
          }).finally((e) => {
            this.loading = false;
          })
        }
      }
    }*/
  }
</script>

<style scoped>

    .answer {
        display: inline-block !important;
    }

</style>
